using System;
using System.Collections;

internal sealed class Delegate372 : MulticastDelegate
{
	public extern bool Invoke(IEnumerable ienumerable_0);

	public static bool smethod_0(IEnumerable ienumerable_0, Delegate372 delegate372_1)
	{
		return delegate372_1(ienumerable_0);
	}

	public extern Delegate372(object object_0, IntPtr intptr_0);

	static Delegate372()
	{
		Class10.smethod_13(typeof(Delegate372).TypeHandle);
	}

	internal static Delegate372 delegate372_0;
}
